#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QDialog>
#include <QSpinBox>
#include <QCheckBox>

class SettingsDialog : public QDialog
{
    Q_OBJECT
public:
    explicit SettingsDialog(QWidget *parent = nullptr);
    static void loadSettings();
    static bool loadThumbsizes();
signals:
    void preloadChanged(int witdth);
private:
    void saveSettings();

    QSpinBox *m_preloadImages;
    QSpinBox *m_thumSize;
    QDoubleSpinBox *m_saturation;
    QCheckBox *m_useNativeDialog;
};

#endif // SETTINGSDIALOG_H
